/* the console message class */
class consoleText
{
public:
   char text[255];
   long life;
   consoleText *next, *prev;
};

/* the console class */
class cons
{
   int consoleFile;
   consoleText *cText;
   char redraw;
public:
   BITMAP *console;
   void Write(char *text);
   void WriteF(const char *fmt, ...);
   void WriteC(char *text);
   void WriteCF(const char *fmt, ...);
   void checkObsolete();
   void draw(BITMAP *where, int x, int y);
   void freeText();
   void Start();
   void Close();
};

extern cons Console;


